#version 450
// SIMPLE TEXTURE : VERTEX SHADER

// These come in from the vertex definition
// TODO : Need to add texture coordinate attribute so I can single VBO all these sumbitches
layout(location = 0) in vec3 v_position;
layout(location = 1) in vec4 color;

layout(location = 0) out vec4 out_color;

void main() {

    out_color = color;
    gl_Position = vec4(v_position, 1.0);

}




